#radarChart {
  display: flex;
  justify-content: center;
  align-items: center;
}

.radar-container {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow: visible !important;
}

#radarChart1,
#radarChart2,
#radarChart3 {
  margin-top: -50px;     
  margin-right: 0;
}

.axisLabel {
  fill: #444;
  font-size: 13px;
}

.radarTooltip {
  position: absolute;
  width: 100px;
  background: white;
  border: 1px solid #ccc;
  padding: 6px;
  border-radius: 4px;
  pointer-events: none;
  font-size: 13px;
  opacity: 0; /* 👈 start hidden */
  transition: opacity 0.2s ease;
  z-index: 999; /* ensure it's on top */
}

.filters {
  display: flex;
  justify-content: center;
  gap: 15px;
  margin-top: -10px;
  z-index: 999;
}

.diseaseBtn {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 4px 5px;
  border: 2px solid #ccc;
  border-radius: 8px;
  background: #fff;
  cursor: pointer;
  transition: 0.2s;
}

.diseaseBtn:hover {
  background: #f5f5f5;
}

.diseaseBtn.active-GeneralPopulation {
    border-color: #96c65e; /* General Population Color */
    background: #96c65e;
    color: #fff;
}

.diseaseBtn.active-MarfanSyndrome {
    border-color: #b95cd5; /* Marfan Syndrome Color */
    background: #b95cd5;
    color: #fff;
}

.diseaseBtn.active-PraderWilliSyndrome {
    border-color: #ff910f; /* Prader-Willi Syndrome Color */
    background: #ff910f;
    color: #fff;
}

.diseaseBtn.active-OsteogenesisImperfecta {
    border-color: #00b7e2; /* Osteogenesis Imperfecta Color */
    background: #00b7e2;
    color: #fff;
}

/* Make the filter label white for the active state to contrast with the background color */
.diseaseBtn.active-GeneralPopulation .filterLabel,
.diseaseBtn.active-MarfanSyndrome .filterLabel,
.diseaseBtn.active-PraderWilliSyndrome .filterLabel,
.diseaseBtn.active-OsteogenesisImperfecta .filterLabel {
    color: #fff;
}

.filterImg {
  width: 50px;
  height: 50px;
  object-fit: contain;
  margin-bottom: 4px;
}

.filterLabel {
  font-size: 12px;
  text-align: center;
}

#notePad {
  position: fixed;
  top: 160px;
  right: 150px;
  width: 240px;
  padding: 12px;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s ease;
  z-index: 1000;
}

#notePad.visible {
  opacity: 1;
  pointer-events: auto;
}

#notePad img {
  width: 100%;
  height: auto;
  border-radius: 4px;
  display: block;
}

#notePad button {
  margin-top: 10px;
  padding: 5px 10px;
  background: #c01818;
  color: white;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  font-weight: bold;
}

#notePad button:hover {
  background: #a11212;
}